> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywithatoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payouts | Payouts API

> Retrieve payouts via the Atoa Payouts API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.

This API retrieves a paginated list of payouts based on specified filters.

> [!NOTE]
>
> Payouts are only available for Pay by Bank (Open Banking) payments. This feature is not enabled by default and is only accessible to merchants who have been granted payout access. Contact support if not enabled.

### Authorization

Bearer `<token>`

### Query Parameters

**limit** `integer`

Maximum number of records to return per page. Default: 20

**page** `integer`

Page number for pagination, starting from 0. Default: 0

**fromDate** `string`

Start date for filtering (YYYY-MM-DD format)

**toDate** `string`

End date for filtering (YYYY-MM-DD format)

**orderBy** `string`

Sort order for results. Values: ASC or DESC. Default: DESC

**status** `string`

Filter by payout status. Possible values: PENDING, PROCESSING, SETTLED, FAILED

**search** `string`

Search term to filter results (e.g., amount, reference)

### Response

**data** `array`

List of payout records

**Payout Object**

**id** `string`

Unique identifier for the payout

**amount** `string`

Payout amount with decimal precision

**currency** `string`

Currency code (e.g., GBP)

**settlementPeriodEnd** `string`

ISO 8601 timestamp indicating when the settlement period ended

**createdAt** `string`

ISO 8601 timestamp of when the payout was created

**updatedAt** `string`

ISO 8601 timestamp of when the payout was last updated

**status** `string`

Current status of the payout (e.g., SETTLED, FAILED, PENDING, PROCESSING)

**reference** `string`

Reference identifier for the payout

**page** `integer`

Current page number

**itemPerPage** `integer`

Number of items per page

**totalCount** `integer`

Total number of records matching the query

```json 200 theme={null}
{
    "data": [
        {
            "id": "cd8cf3db-f163-4267-93b9-922e40bef23a",
            "amount": "1118.71",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-27T06:20:09.000Z",
            "createdAt": "2025-04-27T06:20:15.473Z",
            "updatedAt": "2025-04-27T06:25:51.799Z",
            "status": "SETTLED",
            "reference": "APY4zt9jjqozv7"
        },
        {
            "id": "ded62780-62cf-425d-b301-9a7b28473176",
            "amount": "1076.65",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-25T10:40:06.000Z",
            "createdAt": "2025-04-25T10:40:11.399Z",
            "updatedAt": "2025-04-25T10:40:11.399Z",
            "status": "FAILED",
            "reference": "APY3nm161qvgy7"
        },
        {
            "id": "f86aa640-49dc-4699-a5fc-a486cd52d231",
            "amount": "55.76",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-25T05:10:07.000Z",
            "createdAt": "2025-04-25T05:10:10.644Z",
            "updatedAt": "2025-04-25T05:12:16.370Z",
            "status": "SETTLED",
            "reference": "APY7bp6hjfd9vw"
        },
        {
            "id": "dbfec6d0-d433-4f48-8dd7-2993859b737c",
            "amount": "40.56",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-16T09:20:10.000Z",
            "createdAt": "2025-04-16T09:20:14.299Z",
            "updatedAt": "2025-04-17T05:39:31.006Z",
            "status": "SETTLED",
            "reference": "APY5d2r5j8uee2"
        },
        {
            "id": "1e7b248d-50b0-4fb0-b345-c22d59b0fbaf",
            "amount": "32.79",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-16T09:00:53.000Z",
            "createdAt": "2025-04-16T09:00:58.975Z",
            "updatedAt": "2025-04-16T09:00:58.975Z",
            "status": "FAILED",
            "reference": "APY676utmqf46u"
        },
        {
            "id": "7e23411a-d520-4db1-bf01-90ea1bcf4e57",
            "amount": "0.67",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-15T09:50:08.000Z",
            "createdAt": "2025-04-15T09:50:15.197Z",
            "updatedAt": "2025-04-15T09:50:15.197Z",
            "status": "FAILED",
            "reference": "APY67yluk1abwt"
        },
        {
            "id": "42c2b1d8-329f-4f94-89ab-97570c34e745",
            "amount": "1.17",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-15T09:30:48.000Z",
            "createdAt": "2025-04-15T09:30:52.026Z",
            "updatedAt": "2025-04-15T09:30:52.026Z",
            "status": "FAILED",
            "reference": "APY0jilrbatxpc"
        },
        {
            "id": "b702eb39-eb17-463f-8afe-22cc7959e478",
            "amount": "74.85",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-11T09:30:09.000Z",
            "createdAt": "2025-04-11T09:30:13.854Z",
            "updatedAt": "2025-04-15T09:22:44.030Z",
            "status": "SETTLED",
            "reference": "APY0vhdx08ut4e"
        },
        {
            "id": "50537985-c830-498d-92a7-86b95288c16f",
            "amount": "1379.91",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-11T06:40:08.000Z",
            "createdAt": "2025-04-11T06:40:14.213Z",
            "updatedAt": "2025-04-11T06:41:04.118Z",
            "status": "SETTLED",
            "reference": "APY96sqosuhpp8"
        },
        {
            "id": "a133c891-e2c9-4cae-90e9-a29fbbf60037",
            "amount": "1405.97",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-11T06:20:50.000Z",
            "createdAt": "2025-04-11T06:20:54.090Z",
            "updatedAt": "2025-04-11T06:20:54.090Z",
            "status": "FAILED",
            "reference": "APY3k0wacpb0cm"
        },
        {
            "id": "c8a67fba-21ed-4357-bf3c-2b27ea45e79e",
            "amount": "1362.06",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-11T06:10:39.000Z",
            "createdAt": "2025-04-11T06:10:43.167Z",
            "updatedAt": "2025-04-11T06:10:43.167Z",
            "status": "FAILED",
            "reference": "APY56uydvhiwwp"
        },
        {
            "id": "66c51182-8d06-41b9-a162-3494f76d8cf7",
            "amount": "1261.17",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-11T06:00:55.000Z",
            "createdAt": "2025-04-11T06:00:59.047Z",
            "updatedAt": "2025-04-11T06:00:59.047Z",
            "status": "FAILED",
            "reference": "APY0d0q5ma8g77"
        },
        {
            "id": "56bef81d-7b25-46e6-a9f3-2033834090bf",
            "amount": "1237.02",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-10T09:50:50.000Z",
            "createdAt": "2025-04-10T09:50:54.253Z",
            "updatedAt": "2025-04-10T09:50:54.253Z",
            "status": "FAILED",
            "reference": "APY71cg3oiwl42"
        },
        {
            "id": "1f8c9e3a-545a-4312-9947-54b7928ec6cd",
            "amount": "1206.08",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-10T09:40:07.000Z",
            "createdAt": "2025-04-10T09:40:13.759Z",
            "updatedAt": "2025-04-10T09:40:13.759Z",
            "status": "FAILED",
            "reference": "APY8z2qh70x30j"
        },
        {
            "id": "8854481f-6b64-483a-acc2-b5ecf7d6f145",
            "amount": "808.39",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-10T09:30:09.000Z",
            "createdAt": "2025-04-10T09:30:16.380Z",
            "updatedAt": "2025-04-10T09:30:16.380Z",
            "status": "FAILED",
            "reference": "APY2cn4f0324op"
        },
        {
            "id": "cf1e597d-e263-4013-9e92-30dfdef30175",
            "amount": "788.68",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-10T09:20:07.000Z",
            "createdAt": "2025-04-10T09:20:13.494Z",
            "updatedAt": "2025-04-10T09:20:13.494Z",
            "status": "FAILED",
            "reference": "APY7p6jnc3bbug"
        },
        {
            "id": "effd9462-875a-47fa-bb07-991e1db35eb2",
            "amount": "782.55",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-09T07:20:53.000Z",
            "createdAt": "2025-04-09T07:20:57.898Z",
            "updatedAt": "2025-04-09T07:20:57.898Z",
            "status": "FAILED",
            "reference": "APY5x8156x60pa"
        },
        {
            "id": "8b0016a4-c633-4c49-b2bd-af9190807cb0",
            "amount": "751.61",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-09T06:30:09.000Z",
            "createdAt": "2025-04-09T06:30:14.903Z",
            "updatedAt": "2025-04-09T06:30:14.903Z",
            "status": "FAILED",
            "reference": "APY3dabhgqrlk2"
        },
        {
            "id": "3376c8d4-0523-490a-bb2f-8da2ad260790",
            "amount": "717.22",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-08T12:30:10.000Z",
            "createdAt": "2025-04-08T12:30:14.633Z",
            "updatedAt": "2025-04-08T12:30:14.633Z",
            "status": "FAILED",
            "reference": "APY14gu3idi27q"
        },
        {
            "id": "a9f87a7e-03bd-422c-b40f-fa6dace29abc",
            "amount": "686.28",
            "currency": "GBP",
            "settlementPeriodEnd": "2025-04-08T11:20:46.000Z",
            "createdAt": "2025-04-08T11:20:49.674Z",
            "updatedAt": "2025-04-08T11:20:49.674Z",
            "status": "FAILED",
            "reference": "APY0ierz1cvw73"
        }
    ],
    "page": 0,
    "itemPerPage": 20,
    "totalCount": 94
}
```

```json 400 theme={null}
{
  "name": "AJV_VALIDATION_ERROR",
  "message": "Bad request on parameter \"request.query\".\nPayoutsQueryModel.page must be >= 0. Given value: -1",
  "status": 400,
  "errors": [
    {
      "instancePath": "/page",
      "schemaPath": "#/properties/page/minimum",
      "keyword": "minimum",
      "params": {
        "comparison": ">=",
        "limit": 0
      },
      "message": "must be >= 0",
      "data": -1,
      "modelName": "PayoutsQueryModel",
      "dataPath": ".page"
    }
  ]
}
```

```json 401 theme={null}
{
  "name": "INVALID_CREDENTIAL",
  "message": "Invalid token",
  "status": 401,
  "errors": []
}
```

```json 500 theme={null}
{
  "name": "INTERNAL_SERVER_ERROR",
  "message": "Internal Server Error",
  "status": 500,
  "errors": []
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.